
require 'test/unit'

Base = File.dirname(__FILE__)
class ScriptrouteBinsTest < Test::Unit::TestCase
  def dont_test_slow_bins
    Kernel.system("ruby -I#{Base}/../lib #{Base}/../bin/tulip reordering --verbose 2 scriptroute.cs.umd.edu")
    puts "done tulip: #{$?}"
    Kernel.system("ruby -I#{Base}/../lib #{Base}/../bin/sr-traceroute scriptroute.cs.umd.edu")
    puts "done trace: #{$?}"
  end
  def test_live_tools
    Kernel.system("ruby -I#{Base}/../lib #{Base}/../bin/sr-liveness scriptroute.cs.umd.edu kohoutek.cs.umd.edu swirl.umiacs.umd.edu")
    puts "done live: #{$?}"
    Kernel.system("ruby -I#{Base}/../lib #{Base}/../bin/sr-ping-T scriptroute.cs.umd.edu")
    puts "done pingT: #{$?}"
    Kernel.system("ruby -I#{Base}/../lib #{Base}/../bin/sr-rockettrace scriptroute.cs.umd.edu")
    puts "done rocket: #{$?}"
  end
end
