#!/usr/bin/ruby -w  

require 'test/unit'
require 'scriptroute/commando'

$SAFE = 2


class ScriptrouteCommandoTest < Test::Unit::TestCase

def test_one

c = Commando.new([ "--start-speed", 3 ],  
                 [ CommandoVar.new( "--start-speed",  "Kbps rate to start" ,  "$StartSpeedKbps", 20),
                   CommandoVar.new( "--train-length", "Filler packets in train" , "$TrainLength", 20),
                   CommandoVar.new( "--hop", "Specific hop to study (ttl=hop and hop-1), 0 for e2e", "$Hop", 0 ),
                   CommandoVar.new( [ "--verbose", "-v" ], "print gobs of messages" , "$VERBOSE", false) ],
                 "destination-host")

raise "failed to set dollar startspeedkbps" unless($StartSpeedKbps == 3)
raise "failed to default dollar TrainLength" unless($TrainLength == 20)
raise "failed to construct Commando c" unless c

end
end

